MacOSX El Capitan で Sass・Compass がインストールできない時の対処方法

焦った。いやー焦った。
OSアップデートしたら、いきなりSass・Compass が使えなくなってました。
慌てて調べてなんとか乗り切ったので、備忘録。

Sass をインストール

sudo gem install -n /usr/local/bin sass

Compass をインストール

sudo gem install -n /usr/local/bin compass

できない。

xcode-select --install

続いて、

sudo xcodebuild -license

再度、

sudo gem install -n /usr/local/bin compass

できた!
原因とか、詳しい情報は下記参考サイトをご覧ください。

参考にさせて頂いたサイト

El Capitanでcompassが動かなくなった場合の対処法
MacOSX El Capitanでcocoapodsインストールが出来ない時の対処法
Command Line Developer ToolsとXCodeライセンスに同意する
MavericksでC拡張を含むgemをインストールできない場合の対処法

タイトルとURLをコピーしました